1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59
|
#! /bin/sh
# Copyright (C) 2001-2019 Peter Selinger.
# This file is part of Potrace. It is free software and it is covered
# by the GNU General Public License. See the file COPYING for details.
echo "Checking binary output..." >& 2
# On Windows, there are various workarounds for making sure that
# stdout is in binary mode, depending on the build system used. This
# check ensures that the output of potrace and mkbitmap is indeed
# binary, with no line-end conversion.
if test -z "$srcdir"; then
srcdir=.
fi
. "$srcdir/missing.sh"
NAME=`basename "$0"`
MKBITMAP="${CHECK_MKBITMAP:-../src/mkbitmap$EXEEXT}"
POTRACE="${CHECK_POTRACE:-../src/potrace$EXEEXT}"
DATADIR="$srcdir/data"
CHECKBIN="./checkbin$EXEEXT"
TMPDIR="${TEMPDIR:-/tmp}"
TMP1=`mktemp "$TMPDIR/$NAME-1.XXXXXX"`
DATA1="$DATADIR/data1.ppm"
DATA2="$DATADIR/data2.ppm"
action () {
"$@"
if test $? -ne 0; then
echo "$NAME: test failed" >& 2
echo "Failed command: $LINE: $@" >& 2
exit 1
fi
}
# keep track of line numbers
alias action="LINE=\$LINENO; action"
action $POTRACE -g "$DATA1" -o "$TMP1"
action $CHECKBIN "$TMP1"
action $POTRACE -g < "$DATA1" > "$TMP1"
action $CHECKBIN "$TMP1"
action $MKBITMAP -f2 -s2 -t.48 "$DATA2" -o "$TMP1"
action $CHECKBIN "$TMP1"
action $MKBITMAP -f2 -s2 -t.48 < "$DATA2" > "$TMP1"
action $CHECKBIN "$TMP1"
action rm -f "$TMP1"
echo "$NAME: test succeeded" >& 2
exit 0
|